"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fill_pdf = require('fill-pdf-utf8');
class pdfFiller {
    static generatePdf(sourcePdf, destPdf, dataOptions, styleOptions) {
        return new Promise((resolve, reject) => {
            fill_pdf.generatePdf(dataOptions, sourcePdf, styleOptions, destPdf, (error, stdout, stderr) => {
                if (error) {
                    reject(error);
                }
                else {
                    resolve({
                        stdout: stdout,
                        stderr: stderr
                    });
                }
            });
        });
    }
}
exports.pdfFiller = pdfFiller;
